summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-08-19 14:19:34 +0000
committerMike Frysinger <vapier@gentoo.org>2004-08-19 14:19:34 +0000
commit05d767f74db01e49bfcff05fca7f04fcb52d41a8 (patch)
treec68abafcaabe69b815aee03fda41d9bd7efb7f92 /scripts
parent3.3.0 final (Manifest recommit) (diff)
downloadgentoo-2-05d767f74db01e49bfcff05fca7f04fcb52d41a8.tar.gz
gentoo-2-05d767f74db01e49bfcff05fca7f04fcb52d41a8.tar.bz2
gentoo-2-05d767f74db01e49bfcff05fca7f04fcb52d41a8.zip
dont let users shoot themselves with 2.6 either
Diffstat (limited to 'scripts')
-rw-r--r--scripts/bootstrap-2.6.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/scripts/bootstrap-2.6.sh b/scripts/bootstrap-2.6.sh
index 0ef4bb2befae..08c6143310e2 100644
--- a/scripts/bootstrap-2.6.sh
+++ b/scripts/bootstrap-2.6.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-2.6.sh,v 1.10 2004/08/13 13:44:28 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-2.6.sh,v 1.11 2004/08/19 14:19:34 vapier Exp $
# IMPORTANT NOTE:
# This script no longer accepts an optional argument.
@@ -29,12 +29,18 @@ then
fi
MYPROFILEDIR="`readlink -f /etc/make.profile`"
-if [ ! -d ${MYPROFILEDIR} ]
+if [ ! -d "${MYPROFILEDIR}" ]
then
- echo "!!! Error: ${MYPROFILEDIR} does not exist. Exiting."
+ echo "!!! Error: '${MYPROFILEDIR}' does not exist. Exiting."
exit 1
fi
+if [ -f "${MYPROFILEDIR}/parent" ]
+then
+ echo "!!! Error: You must use 'bootstrap-cascade.sh' with cascading profiles. Exiting."
+ exit 1
+fi
+
if [ -e /usr/bin/spython ]
then
# 1.0_rc6 and earlier